Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::unsupported_interface Class Reference

Exception to indicate that a `node` interface is not supported. More...

`#include <openvrml/node.h>`

Inherits std::logic_error.

List of all members.

## Public Member Functions

| unsupported_interface (const node_interface &interface_) throw ()
| Construct.
| unsupported_interface (const node_type &type, const std::string &interface_id) throw ()
| Construct.
| unsupported_interface (const node_type &type, node_interface::type_id interface_type, const std::string &interface_id) throw ()
| Construct.
virtual | ~unsupported_interface () throw ()
| Destroy.

## Detailed Description

Exception to indicate that a `node` interface is not supported.

This exception is thrown by `node::event_listener` and `node::event_emitter` to indicate that the node doesn't support the interface through which the caller is trying to modify the node. It is also thrown by `node_metatype::create_type` if the class object doesn't support an interface specified in the `node_interface_set` given to that method.

## Constructor & Destructor Documentation

openvrml::unsupported_interface::unsupported_interface | ( | const node_interface & | interface_ | ) | throw ()`[explicit]`

Construct.

Parameters:

  `[in]` | interface_ | a `node_interface`.

openvrml::unsupported_interface::unsupported_interface | ( | const node_type & | type,
|  | const std::string & | interface_id |
| ) |  |  | throw ()

Construct.

Parameters:

  `[in]` | type | the `node_type`.
  `[in]` | interface_id | the name of the interface that is not available.

openvrml::unsupported_interface::unsupported_interface | ( | const node_type & | type,
|  | node_interface::type_id | interface_type,
|  | const std::string & | interface_id |
| ) |  |  | throw ()

Construct.

Parameters:

  `[in]` | type | the `node_type`.
  `[in]` | interface_type | the type of the interface that is not available.
  `[in]` | interface_id | the name of the interface that is not available.

openvrml::unsupported_interface::~unsupported_interface | ( |  | ) | throw ()`[virtual]`

Destroy.